umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Settings::CodeGenerationState::JavaCodeGenerationState Class Reference

`#include <optionstate.h>`

## Public Member Functions
| JavaCodeGenerationState ()

## Public Attributes
bool | autoGenerateAttributeAccessors
bool | autoGenerateAssocAccessors
bool | buildANTDocument

## Constructor & Destructor Documentation

## ◆ JavaCodeGenerationState()

Settings::CodeGenerationState::JavaCodeGenerationState::JavaCodeGenerationState | ( |  | ) |
| inline

## Member Data Documentation

## ◆ autoGenerateAssocAccessors

bool Settings::CodeGenerationState::JavaCodeGenerationState::autoGenerateAssocAccessors

## ◆ autoGenerateAttributeAccessors

bool Settings::CodeGenerationState::JavaCodeGenerationState::autoGenerateAttributeAccessors

## ◆ buildANTDocument

bool Settings::CodeGenerationState::JavaCodeGenerationState::buildANTDocument

The documentation for this class was generated from the following file:

- umbrello/optionstate.h